Update a forwarding rule
Updates an inbound email forwarding rule and returns its current summary. Use this endpoint to update a forwarding rule through the Samva email API.
Updates an inbound email forwarding rule and returns its current summary.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^fwd_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string|null
description?string|null
domainId?|null
sourcePattern?string|null
forwardTo?array<string>|null
preserveHeaders?boolean|null
appendNote?string|null
conditions?|null|null
priority?number|null
isActive?boolean|null
metadata?|null|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/email/forwarding/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "forwardTo": [ "string" ], "priority": 0, "isActive": true, "updatedAt": "string"}